1 Вопрос: Отсутствуют необходимые зависимости ['numpy']

вопрос создан в Mon, Mar 18, 2019 12:00 AM

Я запускаю скрипт на удаленном компьютере в Venv. В пятницу все работало нормально, но по какой-то причине теперь возвращает эту ошибку:

File "D:\PATH\Venv\lib\site-packages\pandas\__init__.py", line 19, in <module>
    "Missing required dependencies {0}".format(missing_dependencies))
ImportError: Missing required dependencies ['numpy']

Я проверяю свои версии и обновляюсь (numpy-1.16.2 и pandas-0.24.2) и могу устанавливать зависимости только из "pip". Я попытался удалить, а затем установить панд, numpy в несколько заказов, но безрезультатно. Я не могу использовать анаконду или подобное и не могу использовать оболочку Ubuntu. Кто-нибудь знает, как это исправить и как это предотвратить? Это заставило нас потерять несколько рабочих часов.

    
1
1 ответ                              1                         

у вас нет numy в Venv (что требуется для панд), вы, вероятно, вызываете что-то в pandas, которое внезапно требует numpy, попробуйте поискать в virtualenv и запустите pip install numpy

Не уверен насчет Windows, но в Unix я бы:

source D:\PATH\Venv\bin\activate
pip install numpy
    
- 1
2019-03-18 11: 31: 35Z
  1. Не работает. Venv распознает и установил NumPy
    2019-03-18 11: 59: 36Z
  2. попробуйте источник D: \PATH \Venv \bin \активировать И ТОГДА заморозить пункт, посмотрите, что вы получите
    2019-03-18 12: 00: 24Z
источник размещен Вот